Package: groovy.lang

## [Java] Interface MetaMember

-     public interface MetaMember

  Common values of a class member -- a field, property, method, or constructor.

  Since:
    5.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `public boolean` | `isFinal()`
    `` | `public boolean` | `isPackagePrivate()`
    `` | `public boolean` | `isPrivate()`
    `` | `public boolean` | `isProtected()`
    `` | `public boolean` | `isPublic()`
    `` | `public boolean` | `isStatic()`
    `` | `public boolean` | `isSynthetic()`

- - ### Method Detail

    - #### public int getModifiers()

    - #### public String getName()

    - #### public boolean isFinal()

    - #### public boolean isPackagePrivate()

    - #### public boolean isPrivate()

    - #### public boolean isProtected()

    - #### public boolean isPublic()

    - #### public boolean isStatic()

    - #### public boolean isSynthetic()